org.jfree.chart

## Class MouseWheelHandler

- java.lang.Object
- - org.jfree.chart.MouseWheelHandler

- All Implemented Interfaces:
    java.awt.event.MouseWheelListener, java.io.Serializable, java.util.EventListener

      public class MouseWheelHandler
      extends java.lang.Object
      implements java.awt.event.MouseWheelListener, java.io.Serializable

  A class that handles mouse wheel events for the `ChartPanel` class.
  Since:
    1.0.13
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) double` | `zoomFactor` The zoom factor.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MouseWheelHandler(ChartPanel chartPanel)` Creates a new instance for the specified chart panel.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getZoomFactor()` Returns the current zoom factor.
    `void` | `mouseWheelMoved(java.awt.event.MouseWheelEvent e)` Handles a mouse wheel event from the underlying chart panel.
    `void` | `setZoomFactor(double zoomFactor)` Sets the zoom factor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### zoomFactor

          double zoomFactor

      The zoom factor.

  - ### Constructor Detail

    - #### MouseWheelHandler

          public MouseWheelHandler(ChartPanel chartPanel)

      Creates a new instance for the specified chart panel.
      Parameters:
        `chartPanel` - the chart panel (`null` not permitted).

  - ### Method Detail

    - #### getZoomFactor

          public double getZoomFactor()

      Returns the current zoom factor. The default value is 0.10 (ten percent).
      Returns:
        The zoom factor.
      See Also:
        `setZoomFactor(double)`

    - #### setZoomFactor

          public void setZoomFactor(double zoomFactor)

      Sets the zoom factor.
      Parameters:
        `zoomFactor` - the zoom factor.
      See Also:
        `getZoomFactor()`

    - #### mouseWheelMoved

          public void mouseWheelMoved(java.awt.event.MouseWheelEvent e)

      Handles a mouse wheel event from the underlying chart panel.
      Specified by:
        `mouseWheelMoved` in interface `java.awt.event.MouseWheelListener`
      Parameters:
        `e` - the event.